Page MenuHomePhabricator

wikibugs is down on IRC
Closed, ResolvedPublic

Description

wikibugs went offline yesterday, September 6, 2019, and it's still offline right now.

Possibly related: T232224

Related Objects

Event Timeline

abian created this task.Sep 7 2019, 10:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2019, 10:44 AM

Not entirely clear to me what is happening; The log files show

2019-09-07 11:41:01,512 - irc3.wikibugs - DEBUG - > JOIN #wikimedia-dev
2019-09-07 11:41:01,513 - irc3.wikibugs - DEBUG - > PRIVMSG #wikimedia-dev :(03CR) 10jerkins-bot: [V: 04-1] Parse numbers with the new syntax, too [extensions/AbuseFilter] - 10https://gerrit.wikimedia.org/r/534903 (https://phabricator.wikimedia.org/T212730) (owner: 10Daimona Eaytoy)
2019-09-07 11:41:01,513 - irc3.wikibugs - DEBUG - > JOIN #mediawiki-feed
2019-09-07 11:41:01,513 - irc3.wikibugs - DEBUG - > PRIVMSG #mediawiki-feed :(03CR) 10jerkins-bot: [V: 04-1] Parse numbers with the new syntax, too [extensions/AbuseFilter] - 10https://gerrit.wikimedia.org/r/534903 (https://phabricator.wikimedia.org/T212730) (owner: 10Daimona Eaytoy)
2019-09-07 11:45:04,674 - irc3.wikibugs - DEBUG - > PING 12956057
2019-09-07 11:46:04,651 - irc3.wikibugs - INFO - We're waiting a ping for too long. Trying to reconnect...
2019-09-07 11:46:04,652 - irc3.wikibugs - DEBUG - RECONNECT ping-pong ()
2019-09-07 11:46:04,653 - irc3.wikibugs - CRITICAL - connection lost (47391934534656): 'No pong reply'
2019-09-07 11:50:24,753 - irc3.wikibugs - DEBUG - > PING 12956377
2019-09-07 11:51:24,753 - irc3.wikibugs - INFO - We're waiting a ping for too long. Trying to reconnect...
2019-09-07 11:51:24,754 - irc3.wikibugs - DEBUG - RECONNECT ping-pong ()
2019-09-07 11:51:24,754 - irc3.wikibugs - CRITICAL - connection lost (47391934534656): 'No pong reply'
2019-09-07 11:55:44,762 - irc3.wikibugs - DEBUG - > PING 12956697
2019-09-07 11:56:44,856 - irc3.wikibugs - INFO - We're waiting a ping for too long. Trying to reconnect...
2019-09-07 11:56:44,858 - irc3.wikibugs - DEBUG - RECONNECT ping-pong ()
2019-09-07 11:56:44,858 - irc3.wikibugs - CRITICAL - connection lost (47391934534656): 'No pong reply'

I'll restart the IRC bot to see if that helps. I think it might be because the WMF hosts a Freenode server, and this may also have been affected by the DDOS.

abian added a comment.Sep 7 2019, 1:12 PM

Thanks! Is this fixed now that wikibugs is online?

Krinkle closed this task as Resolved.Sep 7 2019, 2:28 PM
Krinkle triaged this task as Normal priority.